Solid Edge Part Type Library
TransformToSynchronousSheetmetal Method
Base face for conversion. We need to pick a face that yields in uniform thickness for all flanges and tabs.
Number of rip edges.
Array of edges that are to be used as rib edges.
Specifies bend relief type. Following two feature property constants are valid: igRectangularBendRelief and igFilletBendRelief.
Specifies bend relief width.
Specifies bend relief depth.
Specifies bend radius.
Specifies bend neutral factor.
Description
Syntax
Visual Basic
Public Sub TransformToSynchronousSheetmetal( _
   ByVal pRefFace As Object, _
   Optional ByVal nEdgeNum As Long = 0, _
   Optional ByRef EdgesArray() As Object, _
   Optional ByVal BRType As Variant, _
   Optional ByVal dBRWidth As Double = 0, _
   Optional ByVal dBRLength As Double = 0, _
   Optional ByVal dBendRadius As Double = 0, _
   Optional ByVal dNeutralFactor As Double = 0 _
) 
Parameters
pRefFace
Base face for conversion. We need to pick a face that yields in uniform thickness for all flanges and tabs.
nEdgeNum
Number of rip edges.
EdgesArray
Array of edges that are to be used as rib edges.
BRType
Specifies bend relief type. Following two feature property constants are valid: igRectangularBendRelief and igFilletBendRelief.
dBRWidth
Specifies bend relief width.
dBRLength
Specifies bend relief depth.
dBendRadius
Specifies bend radius.
dNeutralFactor
Specifies bend neutral factor.
Remarks
Some of the arguments are declared as optional but we cannot mix and match VARIANTS and non-VARIANTS as optional arguments. Hence requesting users to pass all the arguments.
Example
Imports System.IO
Imports System.Runtime.InteropServices

Public Class Form1

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim objSEApplication As SolidEdgeFramework.Application = Nothing
        Dim objDoc As SolidEdgePart.PartDocument = Nothing
        Dim objModel As SolidEdgePart.Model = Nothing
        Dim objBody As SolidEdgeGeometry.Body = Nothing
        Dim objEdges(1) As Object
        Dim objFaces As SolidEdgeGeometry.Faces = Nothing
        Dim objFace As SolidEdgeGeometry.Face = Nothing
        Dim SEInstallDir As DirectoryInfo

        Try
            objSEApplication = Marshal.GetActiveObject("SolidEdge.Application")
            SEInstallDir = GetTrainingFolder()
            ' opening the part file
            objDoc = objSEApplication.Documents.Open(SEInstallDir.FullName + "\base.par")

            objModel = objDoc.Models.Item(1)
            objBody = objModel.Body

            objFaces = objBody.Faces(SolidEdgeGeometry.FeatureTopologyQueryTypeConstants.igQueryAll)
            objFace = objFaces.Item(6)

            objDoc.TransformToSynchronousSheetmetal(objFace, 0, objEdges, SolidEdgeConstants.FeaturePropertyConstants.igNone, 0.001, 0.0, 0.001, 0.0)
        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try

    End Sub
    Function GetTrainingFolder() As DirectoryInfo
        Dim objInstallData As SEInstallDataLib.SEInstallData = Nothing
        Dim objInstallFolder As DirectoryInfo = Nothing
        Dim objTrainingFolder As DirectoryInfo = Nothing

        Try
            objInstallData = New SEInstallDataLib.SEInstallData
            objInstallFolder = New DirectoryInfo(objInstallData.GetInstalledPath())
            objTrainingFolder = New DirectoryInfo(Path.Combine(objInstallFolder.Parent.FullName, "Training"))
        Catch
        Finally
            If Not (objInstallData Is Nothing) Then
                Marshal.FinalReleaseComObject(objInstallData)
                objInstallData = Nothing
            End If
        End Try

        Return objTrainingFolder
    End Function

End Class
See Also

PartDocument Object  | PartDocument Members  | Solid Edge ST5 - What's New